int n = int.Parse(Console.ReadLine());

int[] a = new int[n];
int[] b = new int[n];

for (int i = 1; i <= n; i++) 
{
    a[i-1] = i * 2 - 1;
}
for (int i = 1; i <= n; i++)
{
    b[i - 1] = (n + 1 - i) * 2; 
}


foreach (int broj in a) Console.Write(broj + " ");
Console.WriteLine();
foreach (int broj in b) Console.Write(broj + " ");